from fastapi import APIRouter, Depends
from sqlalchemy.orm import Session

from app.db.session import get_db

router = APIRouter()


@router.get("")
def health_check(db: Session = Depends(get_db)):
    """
    Health check endpoint for the API
    """
    # Simple health check that ensures the database connection is working
    return {"status": "healthy", "database": "connected"}